/*
 * castitem.h: declaration of a class that holds cast data for display.
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */
#ifndef _CASTITEM_H
#define _CASTITEM_H
#include <vdr/osdbase.h>
class cCastReader;

class cMenuCastItem : public cOsdItem {
friend class cCastReader;	
public:
  cMenuCastItem() { cMenuCastItem("","",""); };
  cMenuCastItem(char*, char*, char*);
 ~cMenuCastItem();

  char *	Role() { return role; }
  char * FirstName() { return fname; }
  char * Name() { return name; }
  void   Compile();

protected: 
  void   SetRole(char *p) { role = p; }
  void   SetFirstName(char *p) { fname = p; }
  void   SetName(char *p) { name = p; }

private:
  char *	role;
  char * fname;
  char * name;
  };

#endif
